Download it now!
Bug 59767 - Missing second button row in (Polish) Page Format dialog with very long texts in buttons
Summary: Missing second button row in (Polish) Page Format dialog with very long texts...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: All All
: low normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0
Keywords: regression
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-01-23 15:36 UTC by Mateusz
Modified: 2013-02-24 18:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
too wide window (142.80 KB, image/png)
2013-01-23 15:36 UTC, Mateusz
Details
Edit Paragraph Style (160.76 KB, image/png)
2013-01-24 16:59 UTC, Mateusz
Details
format page with above heuristic (59.40 KB, image/png)
2013-02-02 10:13 UTC, Caolán McNamara
Details
edit paragraph style with above heuristic (41.30 KB, image/png)
2013-02-02 10:13 UTC, Caolán McNamara
Details
LO 4.0.1 RC1 - too wide window on WinXP (33.03 KB, image/png)
2013-02-24 18:12 UTC, Mateusz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz 2013-01-23 15:36:15 UTC
Created attachment 73530 [details]
too wide window

In LO4 all buttons lies are in one line (row). Earlier there was 3 buttons per line. After new changes, size of windows is too wide. This issue doesn't affect English version.
Comment 1 Joel Madero 2013-01-23 18:32:33 UTC
This is because all of the buttons are the same size on the bottom and they are sized to fit the longest string of text. The equivalent to "reset" is quite long in polish and therefore all the button sizes are sized to fit that text.

This is not a bug but behaving as intended. 

I'll mark it as an enhancement request.
Comment 2 Mateusz 2013-01-23 19:07:57 UTC
Joel, I think anyone might has guessed what is reason for this change. I am thankful to you for patience in clarification, but for my countryman it's regression which make usage of Libreoffice more rough-hewn (I hope that finally version of LO4 will significantly quicker draw this huge and wide windows...)

If I correctly understood your intention, there is not any chance for make two lines with buttons like it was in 3.6?
Comment 3 Joel Madero 2013-01-24 01:04:09 UTC
I will test the regression ;) If I can confirm this then indeed a bug report is more valid. Thanks for the clarification and my mistake for not asking to begin with
Comment 4 Joel Madero 2013-01-24 02:11:57 UTC
I do see the difference between 3.6 and 4.0. I'll change bug importance and add regression, thanks again for your patience and clarify
Comment 5 Mateusz 2013-01-24 16:59:47 UTC
Created attachment 73592 [details]
Edit Paragraph Style
Comment 6 Mateusz 2013-01-24 17:00:21 UTC
Joel, this issue affect other windows as well. I think, worst case is "Edit Paragraph Style..." which take more than half screen (height) and about 90% in  wide. I have screen with 1280x1024 px resolution. Now think about people who has 1024x768 px (e.g. I have in my office)
Comment 7 Rainer Bielefeld Retired 2013-01-31 17:05:50 UTC
More or less [Reproducible] with "LibO  4.0.0.2 rc   -  GERMAN UI / German Locale  [Build ID: 5991f37846fc3763493029c4958b57282c2597e)]"  {tinderbox: @6, pull time 2013-01-24  07:20(?)} on German WIN7 Home Premium (64bit) with User Profile automatically created form renamed /3 User profile used by 3.6.5.2

Indeed, in older Versions (3.4.5, 3.5.7.2) with Polish Language I saw a flexible "Line Feed" for the buttons in the Format Page dialog, at least with 3.5.7.2 I saw 1 Button in a second row with view scaling 100% and 2 Buttons in a second line with scaling 80%.

I doubt that that was a particular Polish feature ;-)
Unfortunately I did not find an other language with so long tests in the buttons.

@Kendy:
It seems we lost that feature?
Comment 8 Caolán McNamara 2013-01-31 17:33:54 UTC
hmm, 3-6 would create *two* rows of buttons when hitting the fixed width tab dialog width, yikes. What might help here is for me to rework the buttonbox code to detect buttons of outlier width in comparison to the rest and only make the buttons that are less than that outlier width share a width, that'd shrink them down again quite a bit I think.
Comment 9 Caolán McNamara 2013-02-02 10:13:10 UTC
Created attachment 74080 [details]
format page with above heuristic
Comment 10 Caolán McNamara 2013-02-02 10:13:36 UTC
Created attachment 74081 [details]
edit paragraph style with above heuristic
Comment 11 Not Assigned 2013-02-02 10:18:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e81082dbb2d16f0e61527c5ad13f91d49828125

Resolves: fdo#59767 detect outlier widths and exclude from size normalization



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Caolán McNamara 2013-02-02 10:48:11 UTC
caolanm->mateusz: What's your opinion on those screenshots, acceptable ?
Comment 13 Mateusz 2013-02-02 15:01:09 UTC
I think now it's perfect and all Polish users will be pleased. Caolán, thanks a lot for your work.
Comment 14 Mateusz 2013-02-04 19:00:54 UTC
I don't figure that commit go to master build, not to LO4 branch. Is any serious reason why it is not target to 4.0 or (at least) 4.0.1, but to next major version which will be released for half year?
Comment 15 Caolán McNamara 2013-02-05 13:21:51 UTC
its proposed for 4-0 on gerrit for review, just awaiting a reviewer for 4.0.1 as https://gerrit.libreoffice.org/#/c/1973/
Comment 16 Mateusz 2013-02-24 18:11:00 UTC
Coalan, does this change involve LO only on Linux? I tested today 4.0.1 RC1 on WinXP and the bug still exist there.

Could you glance at screenshot?
Comment 17 Mateusz 2013-02-24 18:12:28 UTC
Created attachment 75451 [details]
LO 4.0.1 RC1 - too wide window on WinXP